name: Study
id: https://example.org/Study
imports:
  - linkml:types
prefixes:
  Study: https://example.org/Study
  linkml: https://w3id.org/linkml/
default_prefix: Study
slots:
  path:
    required: true
  date:
    required: true
  url:
    required: true
  id:
    required: true
  title:
    required: true
  contacts:
    required: true
  emails:
    required: true
  status:
    required: true
  date_start:
    required: true
  publish:
    required: true
  inclusion_criteria:
    required: true
  exclusion_criteria:
    required: true
  external_links:
    required: true
classes:
  StudyStatus: {}
  Source:
    slots:
      - path
      - date
      - url
    slot_usage:
      path:
        required: true
      date:
        required: true
      url:
        required: true
  SourceRef: {}
  Study:
    slots:
      - id
      - title
      - contacts
      - emails
      - status
      - date_start
      - publish
      - inclusion_criteria
      - exclusion_criteria
      - external_links
    slot_usage:
      id:
        required: true
      title:
        required: true
      contacts:
        required: true
      emails:
        required: true
      status:
        required: true
      date_start:
        required: true
      publish:
        required: true
      inclusion_criteria:
        required: true
      exclusion_criteria:
        required: true
      external_links:
        required: true
  Container:
    tree_root: true
    attributes:
      Study:
        multivalued: true
        inlined_as_list: true
        range: Study
